import request from '@/utils/request'

/**
 *上线会所
 */
export function addNewClub(query) {
  return request({
    url: '/user/cmUserOrganize/toCmOrganizeClubList',
    method: 'get',
    params: query
  })
}
/**
 *会所列表
 */
export function getClubList(query) {
  return request({
    url: '/user/cmUserOrganize/clubList',
    method: 'get',
    params: query
  })
}
/**
 *保存并生成邀请码
 */
export function createOperator(data) {
  return request({
    url: '/user/cmOperationUser/save',
    method: 'post',
    data
  })
}
/**
 *保存运营
 */
export function preservOperator(data) {
  return request({
    url: '/user/cmOperationUser/save',
    method: 'post',
    data
  })
}
/**
 *上线下线
 */
export function updateStatus(query) {
  return request({
    url: '/user/cmUserOrganize/switchLine',
    method: 'get',
    params: query
  })
}
/**
 *会所条件搜索
 */
export function queryClubList(query) {
  return request({
    url: '/goods/category/list',
    method: 'get',
    params: query
  })
}
/**
 *****************运营人员列表************
 */

/**
 *运营人员列表
 */
export function getOperatorList(query) {
  return request({
    url: '/user/cmOperationUser/list',
    method: 'get',
    params: query
  })
}
/**
 *生成邀请码
 */
export function createOperatorCode(query) {
  return request({
    url: '/goods/category/list',
    method: 'get',
    params: query
  })
}
/**
 *更新邀请码
 */
export function updateOperatorCode(query) {
  return request({
    url: '/goods/category/list',
    method: 'get',
    params: query
  })
}
/**
 *解绑
 */
export function unbindOperator(query) {
  return request({
    url: '/goods/category/list',
    method: 'get',
    params: query
  })
}
/**
 *运营人员条件搜索
 */
export function queryOperatorList(query) {
  return request({
    url: '/goods/category/list',
    method: 'get',
    params: query
  })
}

