import request from '@/utils/request'

export function getList(query) {
  return request({
    url: '/product/cmMallOrganizeProducts/toProductList',
    method: 'get',
    params: query
  })
}

export function getModule(query) {
  return request({
    url: '/product/cmMallOrganizeProducts/module',
    method: 'get',
    params: query
  })
}

export function switchGoods(id) {
  return request({
    url: '/product/cmMallOrganizeProducts/switchLine',
    method: 'post',
    params: id
  })
}

export function saveGoods(goods) {
  return request({
    url: '/product/cmMallOrganizeProducts/saveEditProductInfo',
    method: 'post',
    data: goods
  })
}

export function saveGoodsSort(sorts) {
  return request({
    url: '/product/cmMallOrganizeProducts/batchSaveSort',
    method: 'post',
    params: sorts
  })
}
